Page 1 sur 2

[archlinux plantée] interface graphique inaccessible[résolu]

Publié : sam. 09 juin 2018, 13:44
par nestorburma
bonjour
tout allait bien jusqu'à la mise à jour de mon arch ,depuis ce matin 9juin 2018 je n'ai plus acces a l'interface graphique d'arch ,j'ai trois distros sur mon ordi (2 debians et archlinux) d'habitude quand je demarre l'ordi je choisis la distro a demarrer avec grub,jusque là pas de probleme arch demarre ,mais alors qu'avant j'avais acces au login pour introduire mon nom d'utilisateur et mon password je n'ai plus rien j'ai un ecran avec des stries bizarres ,j'ai le curseur de la souris qui peut se deplacer mais je n'ai plus de demande de login et de password,je ne sais pas comment faire pour me depanner, pourtant c'est moi qui ait installé mon arch mais il y a tellement longtemps que je ne me souviens plus comment j'ai fait,je dispose du cd d'installation mais je ne me rappelle plus comment l'utiliser,pour resumer ce matin j'ai demarré mon arch tout allait bien j'ai fait une mise à jour (pacman -syu) j'ai utilisé l'ordi un moment sans probleme, je l'ai eteint et plus tard quand je l'ai rallumé ça ne marchait plus,les deux autres distros fonctionnent bien, j'ecris ce post avec la debian
si quelqu'un peut m'aider à tout remettre dans l'ordre ce serait super
merci d'avance

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 14:23
par karhu
Bonjour
À tout hasard, tu as accès à ta partition racine se Arch à partie de tes Debian. Regardes dans /var/log/pacman.log quels ont été les paquets, touchant à la vidéo (carte ou serveur), mis à un niveau supérieur lors de ta dernière mise à jour.
Tu reviens à la situation d'hier par un retour à la version précédente et tu vérifies que ça refonctionne.
Ensuite on verra.

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 14:38
par maxtfr
bonjour
hier le 08 il y aeu une mise a jour de Xorg (server, server-common, et server-xwayland), a mon avis ton problème vient de la.
essaye de re-installer les drivers de ta carte graphique, cela m’aie deja arrivé, quand xorg est mis a jour , j'ai une carte nvidia
bonne journée
Thierry

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 15:41
par nestorburma
bonjour karhu
j'ai acces à ma partition arch depuis debian
voila les dernieres données de /var/log/pacman.log ,je suis remonté jusqu'à la veille de la mise à jour, ça doit suffire ?? j'ai plus si tu veux.

Code : Tout sélectionner

[2018-06-08 06:41] [PACMAN] Running 'pacman --color auto -Syy'
[2018-06-08 06:41] [PACMAN] synchronizing package lists
[2018-06-08 06:42] [PACMAN] Running 'pacman --color auto -S -u'
[2018-06-08 06:42] [PACMAN] starting full system upgrade
[2018-06-08 06:45] [ALPM] transaction started
[2018-06-08 06:45] [ALPM] upgraded bison (3.0.4-3 -> 3.0.5-1)
[2018-06-08 06:45] [ALPM] upgraded boost-libs (1.66.0-3 -> 1.67.0-4)
[2018-06-08 06:45] [ALPM] upgraded speexdsp (1.2rc3-2 -> 1.2rc3-3)
[2018-06-08 06:45] [ALPM] upgraded libxft (2.3.2-1 -> 2.3.2-2)
[2018-06-08 06:45] [ALPM] upgraded xcb-util (0.4.0-1 -> 0.4.0-2)
[2018-06-08 06:45] [ALPM] upgraded firefox (60.0.1-1 -> 60.0.2-1)
[2018-06-08 06:45] [ALPM] upgraded firefox-i18n-fr (60.0.1-1 -> 60.0.2-1)
[2018-06-08 06:45] [ALPM] upgraded flashplugin (29.0.0.171-1 -> 30.0.0.113-1)
[2018-06-08 06:45] [ALPM] upgraded gvfs (1.36.2-1 -> 1.36.2-2)
[2018-06-08 06:45] [ALPM] upgraded gvfs-mtp (1.36.2-1 -> 1.36.2-2)
[2018-06-08 06:45] [ALPM] warning: /etc/hp/hplip.conf installed as /etc/hp/hplip.conf.pacnew
[2018-06-08 06:45] [ALPM] upgraded hplip (3.18.4-2 -> 3.18.5-1)
[2018-06-08 06:45] [ALPM] upgraded lib32-pcre (8.41-1 -> 8.42-1)
[2018-06-08 06:45] [ALPM] upgraded lib32-glib2 (2.56.0+7+g66948ae23-1 -> 2.56.1-1)
[2018-06-08 06:45] [ALPM] upgraded libcmis (0.5.1-8 -> 0.5.1-9)
[2018-06-08 06:45] [ALPM] upgraded libepubgen (0.1.0-1 -> 0.1.1-1)
[2018-06-08 06:45] [ALPM] upgraded libfakekey (0.1-7 -> 0.3-1)
[2018-06-08 06:45] [ALPM] upgraded libixion (0.13.0-1 -> 0.13.0-2)
[2018-06-08 06:45] [ALPM] upgraded liborcus (0.13.4-1 -> 0.13.4-2)
[2018-06-08 06:45] [ALPM] upgraded libstaroffice (0.0.5-1 -> 0.0.6-1)
[2018-06-08 06:45] [ALPM] upgraded libtorrent-rasterbar (1:1.1.7-1 -> 1:1.1.7-2)
[2018-06-08 06:45] [ALPM] upgraded nano (2.9.7-1 -> 2.9.8-1)
[2018-06-08 06:45] [ALPM] upgraded pepper-flash (29.0.0.171-1 -> 30.0.0.113-1)
[2018-06-08 06:45] [ALPM] upgraded perl-image-exiftool (10.80-1 -> 11.00-1)
[2018-06-08 06:45] [ALPM] upgraded python-beaker (1.9.1-1 -> 1.10.0-1)
[2018-06-08 06:45] [ALPM] upgraded python-pycurl (7.43.0.1-1 -> 7.43.0.2-1)
[2018-06-08 06:45] [ALPM] upgraded python2-cachecontrol (0.12.4-1 -> 0.12.5-1)
[2018-06-08 06:45] [ALPM] upgraded python2-pycurl (7.43.0.1-1 -> 7.43.0.2-1)
[2018-06-08 06:45] [ALPM] upgraded rp-pppoe (3.12-1 -> 3.12-3)
[2018-06-08 06:45] [ALPM-SCRIPTLET] >>> The kernel-mode plugin has a new place.
[2018-06-08 06:45] [ALPM-SCRIPTLET] >>> It's now located under /usr/lib/rp-pppoe/rp-pppoe.so
[2018-06-08 06:45] [ALPM-SCRIPTLET] >>> Change LINUX_PLUGIN to the new path in your /etc/ppp/pppoe.conf
[2018-06-08 06:45] [ALPM] upgraded source-highlight (3.1.8-14 -> 3.1.8-15)
[2018-06-08 06:45] [ALPM] upgraded spandsp (0.0.6-1 -> 0.0.6-2)
[2018-06-08 06:45] [ALPM] upgraded xcb-util-image (0.4.0-1 -> 0.4.0-2)
[2018-06-08 06:45] [ALPM] upgraded xcb-util-keysyms (0.4.0-1 -> 0.4.0-2)
[2018-06-08 06:45] [ALPM] upgraded xcb-util-renderutil (0.3.9-1 -> 0.3.9-2)
[2018-06-08 06:45] [ALPM] upgraded xcb-util-wm (0.4.1-1 -> 0.4.1-2)
[2018-06-08 06:45] [ALPM] upgraded xf86-input-synaptics (1.9.0-1 -> 1.9.1-1)
[2018-06-08 06:45] [ALPM-SCRIPTLET] >>> xf86-input-synaptics driver is on maintenance mode and
[2018-06-08 06:45] [ALPM-SCRIPTLET]     xf86-input-libinput driver must be prefered over.
[2018-06-08 06:45] [ALPM] upgraded yajl (2.1.0-1 -> 2.1.0-2)
[2018-06-08 06:45] [ALPM] upgraded zita-alsa-pcmi (0.2.0-3 -> 0.2.0-4)
[2018-06-08 06:45] [ALPM] transaction completed
[2018-06-08 06:45] [ALPM] running 'detect-old-perl-modules.hook'...
[2018-06-08 06:45] [ALPM] running 'gio-querymodules.hook'...
[2018-06-08 06:45] [ALPM] running 'glib-compile-schemas.hook'...
[2018-06-08 06:45] [ALPM] running 'gtk-update-icon-cache.hook'...
[2018-06-08 06:45] [ALPM] running 'gvfsd.hook'...
[2018-06-08 06:45] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-06-08 06:45] [ALPM] running 'systemd-tmpfiles.hook'...
[2018-06-08 06:45] [ALPM] running 'systemd-udev-reload.hook'...
[2018-06-08 06:45] [ALPM] running 'systemd-update.hook'...
[2018-06-08 06:45] [ALPM] running 'texinfo-install.hook'...
[2018-06-08 06:45] [ALPM] running 'update-desktop-database.hook'...
[2018-06-09 06:19] [PACMAN] Running 'pacman -Syyu'
[2018-06-09 06:19] [PACMAN] synchronizing package lists
[2018-06-09 06:19] [PACMAN] starting full system upgrade
[2018-06-09 06:21] [ALPM] transaction started
[2018-06-09 06:21] [ALPM] upgraded bluez (5.49-4 -> 5.50-2)
[2018-06-09 06:21] [ALPM] upgraded bluez-libs (5.49-4 -> 5.50-2)
[2018-06-09 06:21] [ALPM] upgraded bluez-utils (5.49-4 -> 5.50-2)
[2018-06-09 06:21] [ALPM] upgraded libinput (1.10.7-1 -> 1.11.0-1)
[2018-06-09 06:21] [ALPM] warning: /etc/drirc installed as /etc/drirc.pacnew
[2018-06-09 06:21] [ALPM] upgraded mesa (18.0.4-1 -> 18.1.1-1)
[2018-06-09 06:21] [ALPM] upgraded python-psutil (5.4.5-1 -> 5.4.6-1)
[2018-06-09 06:21] [ALPM] upgraded sqlite (3.23.1-1 -> 3.24.0-1)
[2018-06-09 06:21] [ALPM] upgraded python2-pytoml (0.1.15-1 -> 0.1.16-1)
[2018-06-09 06:21] [ALPM] upgraded sqlite-analyzer (3.23.1-1 -> 3.24.0-1)
[2018-06-09 06:21] [ALPM] upgraded sqlite-doc (3.23.1-1 -> 3.24.0-1)
[2018-06-09 06:21] [ALPM] upgraded sqlite-tcl (3.23.1-1 -> 3.24.0-1)
[2018-06-09 06:21] [ALPM] upgraded xkeyboard-config (2.23.1-3 -> 2.24-1)
[2018-06-09 06:21] [ALPM] upgraded xmlsec (1.2.25-1 -> 1.2.26-1)
[2018-06-09 06:21] [ALPM] upgraded xorg-xkbcomp (1.4.1-1 -> 1.4.2-1)
[2018-06-09 06:21] [ALPM] upgraded xorg-server-common (1.20.0-5 -> 1.20.0-6)
[2018-06-09 06:21] [ALPM] upgraded xorg-server (1.20.0-5 -> 1.20.0-6)
[2018-06-09 06:21] [ALPM] transaction completed
[2018-06-09 06:21] [ALPM] running 'systemd-daemon-reload.hook'...
[2018-06-09 06:21] [ALPM] running 'systemd-hwdb.hook'...
[2018-06-09 06:21] [ALPM] running 'systemd-udev-reload.hook'...
[2018-06-09 06:21] [ALPM] running 'systemd-update.hook'...
maxtfr pense que c'est un probleme de xorg suite à la mise à jour, si c'est ça, comment je fais pour reinstaller les drivers si je n'ai pas acces directement a mon arch autrement que par debian? j'ai une carte ati radeon

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 16:27
par waitnsea
nestorburma a écrit :
sam. 09 juin 2018, 13:44
bonjour
tout allait bien jusqu'à la mise à jour de mon arch ,depuis ce matin 9juin 2018 je n'ai plus acces a l'interface graphique d'arch ,
Bonjour,
Quelle est ta carte graphique ? $ lspci -nnk | egrep -iA3 "VGA"
Les "anciennes" cartes ont été "rétrogadées" = chassées du paquet nvidia 396, vois ce post

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:00
par maxtfr
bonjour

nestor burma , est ce que tu as encore les consoles (CTRL-ALT-F2/F6), si oui tu te logue et tu fait un pacman -S ton drivers radeon, sinon moi pour ces problèmes j'ai créer un menu console au démarrage, en rajoutant dans mon syslinux , mais cela fonctionne je pense sous grub , des plus expert que moi le confirmerons ou donnerons une meilleure réponse.
voici la bloc de mon, syslinux.cfg pour le mode console

Code : Tout sélectionner

 LABEL archconsole
	MENU LABEL Arch Linux Console
	LINUX ../vmlinuz-linux  
	APPEND root=UUID=5b137700-a485-46d2-ad55-9631ea57b059 ro ipv6.disable=1 #vga=current quiet
	INITRD ../initramfs-linux.img systemd.unit=multi-user.target
et pour des problèmes comme le tien sa dépatouille pas mal, car si tu arrive jusqu'au login en mode console c'est que c'est bien xorg qui foire
thierry

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:03
par karhu
Je pense que tu peux modifier ton Arch depuis une Debian en utilisant la méthode de chroot, comme pour une installation.
Une fois dans ton environnement Arch tu peux réinstaller la version 1.20.0-5 du serveur Xorg (3 paquets) et peut-être libinput-1.10.7-1 avec aussi xkeyboard-config (bof).

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:05
par nestorburma
bonjour waitnsea
voila la reponse à ta question

Code : Tout sélectionner

01:00.0 VGA compatible controller [0300]: Advanced Micro Devices, Inc. [AMD/ATI] Park [Mobility Radeon HD 5430/5450/5470] [1002:68e0]
	Subsystem: ASUSTeK Computer Inc. Device [1043:1bf2]
	Kernel driver in use: radeon
01:00.1 Audio device [0403]: Advanced Micro Devices, Inc. [AMD/ATI] Cedar HDMI Audio [Radeon HD 5400/6300 Series] [1002:aa68]
 


Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:13
par nestorburma
bonjour à tous qui avez la gentillesse de vous pencher sur mon probleme;mais moi j'ai pas toutes vos connaissances et j'avoue que je suis un peu perdu dans tout ça,le seul element concret c'est que j'ai acces a ma partition arch depuis debian mais à part ça je ne sais pas quoi faire

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:20
par maxtfr
bonjour
nestor burma , est-ce que tu connait les consoles virtuelle , en faisant comme cité plus haut control+alt+F2, qu'est-ce que cela fait, est ce que tu arrive sur une console ou tu peut tapé ton login ?
si tu arrive a te logue ne console tu pourra faire pacman -U il me semble pour reinstaller le paquet xorg de la version precedente que te propose karhu plus haut
après pour le chroot, tu a un bon tuto sur le wiki de archlinux il me semble
Thierry

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:21
par nestorburma
re
en effet avec ctrl-alt-f2 j'ai acces a la console et à pacman, dans ces conditions comment je fais pour reparer les dégats ??

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:23
par maxtfr
soit tu retrgrade xorg, soit tu reinstalle ton paquet amd/radeon, le mieux serai de reinstalle dans un premier temps le paquet radeon pour essai

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:35
par nestorburma
re
dans l'etat actuel je fais tout ce qu'on me dit ,dis moi comment je reinstalle le paquet,le pire c'est que j'ai tout installé moi meme quand j'ai construit mon arch mais c'est loin et je ne me rappelle plus

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:39
par papajoke
mais nous somme en rolling ! tu installes bien des paquets depuis que tu l'a installée il y a si longtemps ?

mais fait plutot un downgrade (ou pacman -U "avant dernière_version") des paquets vidéos de ton dernier log (mesa,xorg-**)
attention, un downgrade n'est qu'une solution très temporaire

ps: consulter les logs d'erreurs n'est pas un luxe :wink:

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:53
par nestorburma
re
oui j'installes les paquets depuis le temps,je fais pacman -Syyu ou yaourt -Syyu et j'ai jamais eu de gros problemes et le forum m'a toujours aidé quand j'en ai eu,mais j'avais toujours acces a arch en mode graphique ,ce qui me perturbe un peu c'est que là c'est pas le cas ,

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 17:56
par maxtfr
bonjour
papajoke , le problème du downgrade , est que des qu'il va refaire un pacman -Syu le problème va recommencer, alors que s'il réinstalle le drivers radeon, des fois cela refonctionne, si le problème vient du drivers bien sur, c'est pour cela qu'avant le downgrade je fait toujours une reinstall du drivers, je parle en connaissance , car j'ai déjà eu le problème avec xorg, par contre j'ai une nvidia.
nestor si tu relis mes post je t'ai déjà dit comment faire pour reinstaller un paquet pacman -S le nom de ton driver, de plus tu a un très wiki sur le sites fait sur pacman ;)

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 18:04
par nestorburma
je prefererais faire une reinstallation je vais faire un pacman -S xf86-video-ati c'est le nom du paquet selon le wiki

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 18:04
par karhu
Une fois dans ton Arch, tu télécharges les paquets nécessaires depuis le dépôt archive, ensuite tu te mets dans le répertoire où ils se trouvent et tu fais un pacman -U <paquet> (en root).
Si tu n'arrive pas, ou ne sais pas, télécharger à partir de la console, fais le à partir d'une Debian en mode graphique, monte ta partition Arch et transfert tes paquets dans le répertoire de ton choix (un de ton HOME de préférence).

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 18:11
par maxtfr
si par contre en reinstallant le drivers cela ne fonctionne pas ; il faudra aller voir les log comme te la dit papajoke,car savoir aller consulter des ficher de log est tres important quand tu as des problèmes, tu va dans /var/log, et tu fait un cat sur xorg.0.log, apres tu as aussi journalctl , pour les log , maisej ne le maitrise pas encore.
petite question qui me vient a l'esprit, est-ce que tu a essaye de redémarre l’ordinateur, des fois cela suffi a tout remettre debout

Re: [archlinux plantée] interface graphique inaccessible

Publié : sam. 09 juin 2018, 18:38
par nestorburma
re
j'ai fais pacman -Sy xf86-video-ati, j'ai eu comme reponse" drivers à jour reinstalle?" j'ai reinstallé ça n'a rien changé,ça veut dire quoi fais un cat sur xorg.0.log?,dans ce fichier c'est plein de trucs que je comprends pas,quand au redemarrage de l'ordi ça change rien c'est la premiere chose que j'ai fait quand j'ai vu que ça tournait pas rond,j'ai été dans depot archive j'ai pas vu de fichier xf86-video-ati les seuls fichiers cocernant ati sont du genre" ati-dri-10.0.1-1-i686.pkg.tar.xz" alors que dans/var/cache/ pacman/pkg j'ai un fichier xf86-video-ati-1:18.0.1-1-x86_64.pkg.tar.xz
je suis un peu dans la me...de, en ce moment